Skip to content
Last updated

FraudOrder

Marks an order as fraudulent.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"FraudOrder"Required
orderidintThe Order ID to set as fraudRequired
cancelsubboolPass as true to cancel any PayPal Subscription(s) associated with the products & services that belong to the given order.Optional

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'FraudOrder',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'orderid' => '1',
            'cancelsub' => '1',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'FraudOrder';
$postData = array(
    'orderid' => '1',
    'cancelsub' => '1',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success"
}

Error Responses

Possible error condition responses include:

  • Order ID Not Found
  • Subscription Cancellation Failed - Please check the gateway log for further information

Version History

VersionChangelog
1.0Initial Version